package com.landray.kmss.sys.attachment.jg;

import java.io.File;
import DBstep.iMsgServer2000;
import com.landray.kmss.common.actions.RequestContext;
import org.slf4j.LoggerFactory;
import org.slf4j.Logger;

public class SysAttJGGetFileFunction implements ISysAttachmentJGFunction
{
    private static final Logger logger;
    
    static {
        logger = LoggerFactory.getLogger(SysAttJGGetFileFunction.class);
    }
    
    @Override
    public void execute(final RequestContext request, final iMsgServer2000 MsgObj) throws Exception {
        final String modelId = MsgObj.GetMsgByName("RECORDID");
        final File mFile = JGFilePathUtil.getFile(modelId, "JG_Document", MsgObj.GetMsgByName("REMOTEFILE"));
        final String mFilePath = mFile.getAbsolutePath();
        if (SysAttJGGetFileFunction.logger.isDebugEnabled()) {
            SysAttJGGetFileFunction.logger.debug("下载文件：文件目录路径：" + mFilePath);
        }
        MsgObj.MsgTextClear();
        if (MsgObj.MsgFileLoad(mFilePath)) {
            MsgObj.SetMsgByName("STATUS", "下载文件成功!");
            MsgObj.MsgError("");
        }
        else {
            MsgObj.MsgError("下载文件失败!");
        }
    }
}
